JUCE: ARARegionSequenceListener Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ARARegionSequenceListener Class Reference
juce_audio_processors » utilities

A base class for listeners that want to know about changes to an ARARegionSequence object. More...

`#include <juce_ARAModelObjects.h>`

Inheritance diagram for ARARegionSequenceListener:

## Public Member Functions
virtual | ~ARARegionSequenceListener ()=default
| Destructor.
virtual void | willUpdateRegionSequenceProperties (ARARegionSequence *regionSequence, ARA::PlugIn::PropertiesPtr< ARA::ARARegionSequenceProperties > newProperties)
| Called before the region sequence's properties are updated.
virtual void | didUpdateRegionSequenceProperties (ARARegionSequence *regionSequence)
| Called after the region sequence's properties are updated.
virtual void | willRemovePlaybackRegionFromRegionSequence (ARARegionSequence *regionSequence, ARAPlaybackRegion *playbackRegion)
| Called before a playback region is removed from the region sequence.
virtual void | didAddPlaybackRegionToRegionSequence (ARARegionSequence *regionSequence, ARAPlaybackRegion *playbackRegion)
| Called after a playback region is added to the region sequence.
virtual void | willDestroyRegionSequence (ARARegionSequence *regionSequence)
| Called before the region sequence is destroyed.

## Detailed Description

A base class for listeners that want to know about changes to an ARARegionSequence object.

Use ARARegionSequence::addListener() to register your listener with an ARARegionSequence.

## Constructor & Destructor Documentation

## ◆ ~ARARegionSequenceListener()

virtual ARARegionSequenceListener::~ARARegionSequenceListener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ willUpdateRegionSequenceProperties()

virtual void ARARegionSequenceListener::willUpdateRegionSequenceProperties | ( | ARARegionSequence * | regionSequence,
|  | ARA::PlugIn::PropertiesPtr< ARA::ARARegionSequenceProperties > | newProperties
| ) |  |
| virtual

Called before the region sequence's properties are updated.

Parameters

  regionSequence | The region sequence whose properties will be updated.
  newProperties | The region sequence properties that will be assigned to `regionSequence`.

## ◆ didUpdateRegionSequenceProperties()

virtual void ARARegionSequenceListener::didUpdateRegionSequenceProperties | ( | ARARegionSequence * | regionSequence | ) |
| virtual

Called after the region sequence's properties are updated.

Parameters

  regionSequence | The region sequence whose properties were updated.

## ◆ willRemovePlaybackRegionFromRegionSequence()

virtual void ARARegionSequenceListener::willRemovePlaybackRegionFromRegionSequence | ( | ARARegionSequence * | regionSequence,
|  | ARAPlaybackRegion * | playbackRegion
| ) |  |
| virtual

Called before a playback region is removed from the region sequence.

Parameters

  regionSequence | The region sequence that `playbackRegion` will be removed from.
  playbackRegion | The playback region that will be removed from `regionSequence`.

## ◆ didAddPlaybackRegionToRegionSequence()

virtual void ARARegionSequenceListener::didAddPlaybackRegionToRegionSequence | ( | ARARegionSequence * | regionSequence,
|  | ARAPlaybackRegion * | playbackRegion
| ) |  |
| virtual

Called after a playback region is added to the region sequence.

Parameters

  regionSequence | The region sequence that `playbackRegion` was added to.
  playbackRegion | The playback region that was added to `regionSequence`.

## ◆ willDestroyRegionSequence()

virtual void ARARegionSequenceListener::willDestroyRegionSequence | ( | ARARegionSequence * | regionSequence | ) |
| virtual

Called before the region sequence is destroyed.

Parameters

  regionSequence | The region sequence that will be destroyed.

The documentation for this class was generated from the following file:

- juce_ARAModelObjects.h